Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_Hash_Map_Entry< EXT_ID, INT_ID > Class Template Reference

Define an entry in the hash table. More...

`#include <Hash_Map_Manager_T.h>`

Inheritance diagram for ACE_Hash_Map_Entry< EXT_ID, INT_ID >:

[legend]
Collaboration diagram for ACE_Hash_Map_Entry< EXT_ID, INT_ID >:

[legend]
List of all members.

## Public Methods
| ACE_Hash_Map_Entry (const EXT_ID &ext_id, const INT_ID &int_id, ACE_Hash_Map_Entry< EXT_ID, INT_ID > *next=0, ACE_Hash_Map_Entry< EXT_ID, INT_ID > *prev=0)
| Constructor.
| ACE_Hash_Map_Entry (ACE_Hash_Map_Entry< EXT_ID, INT_ID > *next, ACE_Hash_Map_Entry< EXT_ID, INT_ID > *prev)
| Constructor.
| ~ACE_Hash_Map_Entry (void)
| Destructor.
void | dump (void) const
| Dump the state of an object.
## Public Attributes
EXT_ID | ext_id_
| Key used to look up an entry.
INT_ID | int_id_
| The contents of the entry itself.
ACE_Hash_Map_Entry< EXT_ID, INT_ID > * | next_
| Pointer to the next item in the bucket of overflow nodes.
ACE_Hash_Map_Entry< EXT_ID, INT_ID > * | prev_
| Pointer to the prev item in the bucket of overflow nodes.

## Detailed Description

### template<class EXT_ID, class INT_ID>
class ACE_Hash_Map_Entry< EXT_ID, INT_ID >

Define an entry in the hash table.

## Constructor & Destructor Documentation

template<class EXT_ID, class INT_ID>
ACE_Hash_Map_Entry< EXT_ID, INT_ID >::ACE_Hash_Map_Entry | ( | const EXT_ID & | ext_id,
|  | const INT_ID & | int_id,
|  | ACE_Hash_Map_Entry< EXT_ID, INT_ID > * | next = 0,
|  | ACE_Hash_Map_Entry< EXT_ID, INT_ID > * | prev = 0
| ) |

| Constructor.

template<class EXT_ID, class INT_ID>
ACE_Hash_Map_Entry< EXT_ID, INT_ID >::ACE_Hash_Map_Entry | ( | ACE_Hash_Map_Entry< EXT_ID, INT_ID > * | next,
|  | ACE_Hash_Map_Entry< EXT_ID, INT_ID > * | prev
| ) |

| Constructor.

template<class EXT_ID, class INT_ID>
ACE_Hash_Map_Entry< EXT_ID, INT_ID >::~ACE_Hash_Map_Entry | ( | void |  | ) |

| Destructor.

## Member Function Documentation

template<class EXT_ID, class INT_ID>
void ACE_Hash_Map_Entry< EXT_ID, INT_ID >::dump | ( | void |  | ) | const

| Dump the state of an object.

## Member Data Documentation

template<class EXT_ID, class INT_ID>
EXT_ID ACE_Hash_Map_Entry< EXT_ID, INT_ID >::ext_id_

| Key used to look up an entry.

template<class EXT_ID, class INT_ID>
INT_ID ACE_Hash_Map_Entry< EXT_ID, INT_ID >::int_id_

| The contents of the entry itself.

template<class EXT_ID, class INT_ID>
ACE_Hash_Map_Entry<EXT_ID, INT_ID>* ACE_Hash_Map_Entry< EXT_ID, INT_ID >::next_

| Pointer to the next item in the bucket of overflow nodes.

template<class EXT_ID, class INT_ID>
ACE_Hash_Map_Entry<EXT_ID, INT_ID>* ACE_Hash_Map_Entry< EXT_ID, INT_ID >::prev_

| Pointer to the prev item in the bucket of overflow nodes.

The documentation for this class was generated from the following files:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Hash_Map_Manager_T.h
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Hash_Map_Manager_T.cpp